var getParameterByName = function(name, url) {
    if ( ! url) url = window.location.href;
    name = name.replace(/[\[\]]/g, '\\$&');
    var regex = new RegExp('[?&]' + name + '(=([^&#]*)|&|#|$)'),
        results = regex.exec(url);
    if ( ! results) return false;
    if ( ! results[2]) return false;
    return decodeURIComponent(results[2].replace(/\+/g, ' '));
}


$(document).ready(function() {


    var tid = getParameterByName('tid');


    $(document).on('click', '#order-now, #order-now-2, #order-now-3, #order-now-4, #order-now-modal', function() {


        var btn     = $(this);
        var self    = btn.closest('form');
        var post    = new Object();
    
    
        post.name   = $.trim(self.find('input[name="name"]').val());
        post.phone  = $.trim(self.find('input[name="phone"]').val());

        if (self.find('select[name="api_county_code"]').length) {
            post.api_county_code = $.trim(self.find('select[name="api_county_code"]').val());
        }
        
        post.tid    = self.find('input[name="tid"]').val() || tid;


        if (post.name.length == 0) {
            self.find('[name="name"]').addClass('has-error');
        } else {
            self.find('[name="name"]').removeClass('has-error');
        }
    
    
        if (post.phone.length <= 7) {
            self.find('[name="phone"]').addClass('has-error');
        } else {
            self.find('[name="phone"]').removeClass('has-error');
        }
    
    
        if (self.find('.has-error').length == 0) {
            $.ajax({
                url: '/welcome/create_order',
                type: 'POST',
                data: post,
                dataType: 'json',
                success: function(json) {
                    if (json.result) {
                        $(location).attr('href', json.redirect);
                    } else {
                        btn.prop('disabled', false);
                    }
                }
            });
        }
    
    
        return false;
    });

});